小胖熊酷数码GPS论坛 www.sosaw.com

 找回密码
 注册register

扫一扫,访问微社区

查看: 5040|回复: 53

[任我游] 2014 3.6.0兔子,3.6.10的普清主程序折腾成功

[复制链接]
发表于 2014-9-20 10:58 | 显示全部楼层 |阅读模式
分享到:
综合发帖模板
发帖目的: 发布资源/OEM/补丁
地图品牌: 任我游
测试机型: -
适用系统(可多选): CE6 
地图国别: 中国 » 中国
支持分辨率(可多选): 480x272 800x480 
资源分类(可多选): 改进主程序 
本帖最后由 mickeyjian 于 2014-9-22 09:03 编辑

下载地址

密码:www.sosaw.com
地图包及配置文件修改参考其他帖子。

多余的话:
1 前因
    一直喜欢Garmin, 不知怎么现在都没人折腾了,任我游和Garmin关联就不说了,以前也用,也很喜欢,可很久一段时间来一直没有普清版,苦苦等一直没动静,最近集中更新导航,任我游3.6.0的新兔子发布,对官方新版带普清皮肤基本绝望,就想自己瞎捣鼓,要能折腾成功的话,对不少像我一样等普清的同学也是个好消息,顺便说一下,我的导航是128M CE6普清,这也应该是任我游普清的最低配置要求。

2.过程
   先是把4.3.8主程序下的高清皮肤换到普清目录下,果真能以普清方式运行,就是界面只显示局部,然后就到处找普清的皮肤,好不容易找了个主程序包3.X的,带普清皮肤,把皮肤搞到4.3.8普清目录下,不能运行,说明3和4的皮肤完全不同不能混用。然后看到lister网友发的一个未O的主程序包,一看是3.6.10的,也自带普清皮肤,就想如果能O,不也行吗,试着把O过的4.3.8和3.6.10杂交,经过反复尝试,运行成功,最后一点点替换尝试,发现就只需要把4.3.8的两个文件ActivCode.txt,Navigation.dll带到3.6.10即可。
   最后这个成品,其实就是以官方未O的3.6.10主程序为基础,加入O过的4.3.8的两个文件而成的。分析下,3.6.10和4.3.8下的Navigation.dll文件除了几个字节外,其他包括大小完全一样,应该就是验证序列号地方处理了一下转到ActivCode.txt,那这个替换方法就相当于用无名英熊大侠O的4.3.8的方法O了3.6.10,其他和官方3.6.10无任何区别。而从官方3.6.0的兔子更新说明看,3.X的主程序也完全支持,所以,这个看似主程序杂交+兔子杂交的怪物,其实血源很纯正,从这周末的来回八十多公里的路试来看,无任何使用问题,可以认为,官方程序有多稳定,这个就有多稳定,差别仅在验证号上。目前的3.6.10虽是去年8月份的主程序,相对还算是比较新,从3.X的系列来说也是任我游更新维护很久的上代稳定版了,不能简单认为3.X是很老的版本,不如4.X新,其实也就好比新科高德的2系和4系。

3 总结
   本次折腾成功,完全归功于无名英熊大侠的O和lister分享的3.610的主程序,事后总结分析,4.3.8和3.6.10的主程序官方发布时间基本上是同一个时期的,可以认为分属任我游的3系和4系的同期发布,从Earth和Venus的软件代号也能看出来,一个是上一代,一个是当代,正版验证的机制应该是相同的,而且因为同一时期发布,有关文件完全一样,这才折腾成功。  看4系模拟的界面,和3系比起来,最大的好处是规划方式可以很方便的在规划时自由选择,而3系只能在规划前设置好规划方式,更换起来不方便,至于导航很重要的查找目的地来说,个人认为还是3系的方便些,喜欢尝试的同学也可以尝试高清3系的。再感叹一下,任我游各种目的地查找方式其实都有特定场景情况下的恰到好处的用处的,这个比其他导航软件真的是巨大的优势,当然前提是要熟悉理解它的思路用法。

4 展望
   根据这个思路,个人觉得,未来新版普清有两个方向可以尝试:1,继续用同时期发布的4.X的O替换3.X的O,当然前提是4.X有O(感谢无名英熊,4.4已经出来了),而3.X同期主程序也得有人共享出来。 2,解决4.X的普清皮肤问题,我在查找相关资源的时候,发现在4.X的早期主程序例如4.0.16放出来的时候,是带普清皮肤的,可惜现在资源都因为比较久无法下载了,4.X内部版本进化主要是功能性的改善,界面应该是基本不变的,所以猜想4.0.16等早期4.X的普清皮肤应该能用在最新版的4.X主程序上的。 呼吁有相关资源的的同学能分享出来,包括3.X最新主程序。


点评

NGB
地图有点旧。陕西延吴高速没有。  发表于 2014-10-27 17:34
普清高清都能很好实用。  发表于 2014-9-22 11:05
很喜欢这个UI  发表于 2014-9-22 09:41
详细的,无私的经验奉献,十分感谢!  发表于 2014-9-22 09:41

评分

4

查看全部评分

发表于 2014-9-22 12:56 | 显示全部楼层
hdsure 发表于 2014-9-22 12:25
我的车机运行4.40正常,运行这个,启动后,界面出现,来不及点“同意”,就正在关机,然后设备自动关机,车 ...

看看能不能用?

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册register

x

点评

都是网上资源。  发表于 2014-9-22 16:14
找到Gou.exe文件0X1759A8,查找: 73513A67 改为 0090FA51 正在关机------- >正在退出  发表于 2014-9-22 15:09
还有:美化,找到Gou.exe,正在关机-----> 改为:正在退出 找到Gou.exe文件0X1759A8,查找: 73513A67 改为 0090FA51  发表于 2014-9-22 15:08
雾大果然厉害,药到病除!可以使用了,感谢!!  发表于 2014-9-22 13:53
回复 支持 1 反对 0

使用道具 举报

发表于 2014-9-20 11:18 | 显示全部楼层
本帖最后由 hdsure 于 2014-9-20 11:27 编辑

任我游PND 2014年9月10日升级信息:
1、基础版,软件版本从V3.60升级到V3.80;主要针对任我游前期的一些产品,基础功能;
2、增强版,软件版本从V4.38升级到V4.40;主要针对任我游后来开发的大屏产品,功能较多,如多路线规划等,各有特色。
3、图资版本,从V3.4.0升级到V3.6.0。


基础版UI:


基础版软件版本MiniEarth:



增强版UI:

增强版软件版本MiniVenus:





本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册register

x

点评

应该放在隐藏分区的APP文件夹或者APP\GoU或者GoU文件夹里了,见18楼详细说明。  发表于 2014-9-22 15:29
我的PND 1300E已经升级到了3.80,但usb链接后,找不到gou.exe,谁知道怎么弄主程序包,说说,我好准备!  发表于 2014-9-22 14:17
3.8的主程序包有没有,有的话用4.4的同期O应该也能O的。  发表于 2014-9-22 08:31
GoU3216,是啥,没有这个型号吧?  发表于 2014-9-20 14:49
我有一个GoU3216版但是装3.6兔子说要激活才能用。  发表于 2014-9-20 13:52
回复 支持 反对

使用道具 举报

发表于 2014-9-20 11:54 | 显示全部楼层
V4.4.0的还没有O的出来......很期望能用上
回复 支持 反对

使用道具 举报

发表于 2014-9-20 12:16 小胖熊手机版 | 显示全部楼层
等待普清的程序啊!只有普清的老机子

点评

下载试试看吧,不过好像要128M内存,我没试过。  发表于 2014-9-22 08:32
回复 支持 反对

使用道具 举报

发表于 2014-9-20 12:51 | 显示全部楼层
期望3.6或3.8的主程序。

点评

现在3.6的有了,同期待3.8的。  发表于 2014-9-22 08:32
回复 支持 反对

使用道具 举报

发表于 2014-9-20 15:11 | 显示全部楼层
普清的机器要打内存才能流畅运行吧

点评

听说是.  发表于 2014-9-22 08:32
回复 支持 反对

使用道具 举报

发表于 2014-9-20 20:14 | 显示全部楼层
按照惯例,只支持CE6,所以意义不大。

点评

嗯,可能不是很多人需要,但需要的人都是很迫切的。  发表于 2014-9-22 08:34
大侠发的的3系资源网上都不见了,可惜。  发表于 2014-9-21 11:03
UI不错,值得期待。  发表于 2014-9-21 11:03
回复 支持 反对

使用道具 举报

发表于 2014-9-21 06:53 | 显示全部楼层
本帖最后由 像雾又像风 于 2014-9-22 10:25 编辑

谢谢分享。
回复

使用道具 举报

发表于 2014-9-21 10:37 | 显示全部楼层
3.6.10版的主程序封装日期是不是2013年8月的?

点评

给力,继续折腾!  发表于 2014-9-22 08:36
是7、8月份的,和Gou.exe文件关系不大,O的话Navigation.dll是关键,其他文件还是用原装配套的放心些。  发表于 2014-9-22 08:29
回复 支持 反对

使用道具 举报

发表于 2014-9-22 08:38 | 显示全部楼层
本帖最后由 像雾又像风 于 2014-9-22 08:48 编辑

把4.3.8的两个文件ActivCode.txt,Navigation.dll带到3.6.10即可,谢谢,已经成功!
回复 支持 反对

使用道具 举报

发表于 2014-9-22 09:42 | 显示全部楼层
详细的,无私的经验奉献,十分感谢!
一直很喜欢这个基础版UI
回复 支持 反对

使用道具 举报

发表于 2014-9-22 10:04 | 显示全部楼层
4.4的两个文件不能配3.6版,估计4.40的可配3.8吧,大侠的展望说的对,待你继续展望发现。

点评

万不可大侠称谓,咱也是小白一枚,靠各位真正的大侠的成果,侥幸凭一点电脑基础捣鼓出来的,分享给需要的人,算是对熊坛一点微薄的回报  发表于 2014-9-22 11:28
回复 支持 反对

使用道具 举报

发表于 2014-9-22 11:03 | 显示全部楼层
3.6.10组合版:其实血源很纯正,从这周末的来回八十多公里的路试来看,无任何使用问题,可以认为,官方程序有多稳定,这个就有多稳定。

-----谢谢路试。
回复 支持 反对

使用道具 举报

发表于 2014-9-22 11:45 | 显示全部楼层
本帖最后由 像雾又像风 于 2014-9-22 12:05 编辑

任我游3.3图资V4.1.7增强版高清普清懒人包里面把普清皮肤删除了。

点评

我不用增强版的UI  发表于 2014-9-22 11:46
回复 支持 反对

使用道具 举报

发表于 2014-9-22 12:25 | 显示全部楼层
本帖最后由 hdsure 于 2014-9-22 12:32 编辑

我的车机运行4.40正常,运行这个,启动后,界面出现,来不及点“同意”,就正在关机,然后设备自动关机,车机就复位了,不知道是哪的问题?

点评

覆盖了雾大的车机补丁,已经搞定!  发表于 2014-9-22 16:05
另外,参数文件不要手动乱改,我试过看描述自己改过一些值,启动就报错了。  发表于 2014-9-22 16:02
我是把配置文件里面的Devtype改成2了的,不知道和这个有没有关系,试试看改回1或者整行删除,原版的没有该行.  发表于 2014-9-22 16:02
可能要找过车机补丁。  发表于 2014-9-22 12:54
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册register

本版积分规则

百度SITEMAP|小黑屋|Archiver|手机版|小胖熊酷数码GPS论坛 www.sosaw.com ( 沪ICP备16050520号-1 )|网站地图 

GMT+8, 2020-2-28 04:07 , Processed in 0.256857 second(s), 28 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表